import { Pipe, PipeTransform } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';

@Pipe({
  name: 'safeHtml'
})
export class SafeHtmlPipe implements PipeTransform {

  constructor(private sanitizer: DomSanitizer) { }

  transform(html, sanitize: any = true) {
    if (sanitize) {
      html = html.replace(new RegExp('\n', 'g'), '<br>');
      return this.sanitizer.bypassSecurityTrustHtml(html);
    } else {
      return html.replace(new RegExp('\n', 'g'), '<br>');
    }
  }

}
